# Uses of Interface
org.apache.felix.framework.cache.Content

Packages that use Content
Package
Description
org.apache.felix.framework
org.apache.felix.framework.cache

## Uses of Content in org.apache.felix.framework

Methods in org.apache.felix.framework that return Content
Modifier and Type
Method
Description
`Content`
BundleRevisionImpl.`getContent()`

## Uses of Content in org.apache.felix.framework.cache

Classes in org.apache.felix.framework.cache that implement Content
Modifier and Type
Class
Description
`class`
`ContentDirectoryContent`
`class`
`DirectoryContent`
`class`
`JarContent`
Methods in org.apache.felix.framework.cache that return Content
Modifier and Type
Method
Description
`abstract Content`
BundleArchiveRevision.`getContent()`
`Content`
Content.`getEntryAsContent(String name)`
This method returns the named entry as an `IContent` Typically, this method only makes sense for entries that correspond to some form of aggregated resource (e.g., an embedded JAR file or directory), but implementations are free to interpret this however makes sense.
`Content`
ContentDirectoryContent.`getEntryAsContent(String name)`
`Content`
DirectoryContent.`getEntryAsContent(String entryName)`
`Content`
JarContent.`getEntryAsContent(String entryName)`
Constructors in org.apache.felix.framework.cache with parameters of type Content
Modifier
Constructor
Description
``
`ContentDirectoryContent(Content content, String path)`